import { getShareInfo } from "../server/index/index"
/**
 * 枚举处理
 * */
export const getEnum = (enumName: string) => {
    let arr = app?.enumDictList?.[enumName]?.values
    return arr?.map(({ value, description }: any) => ({ value, key: value, text: description }))
}



interface ShareProps {
    pagePath: string,//分享路径
}
/**
 * 分享
 * @param props
 * @param props.pagePath 分享路径
 * */
export async function share(props: ShareProps) {
    let { pagePath } = props
    let shareInfo: any = await getShareInfo(pagePath)
    return shareInfo?.data?.data
}
